Subject: Re: Regarding group_forward_mask in bridge in 3.4 kernel

From: John Fastabend <[email-masked]>
Date: Mon, 17 Sep 2012 08:24:49 -0700

On 9/17/2012 7:43 AM, Ajith Adapa wrote:
> Hi,
>
> I am trying to enable group_fwd_mask in bridge by giving the below
> command so that it can forward provider bpdu's whose destination
> address is 01-80-C2-00-00-08.
>
> echo 8 > /sys/class/net/vpc1_br/bridge/group_fwd_mask
>

wrong value see the logic you quoted use 1 << 8

echo 256 > /sys/class/net/...

Your example fwds non-TPMR addresses 01-80-c2-00-00-03.

[...]

> Am I giving wrong value for group_fwd_mask ??

Yep wrong value.

> I tried other values but seems only 8 and 0 is accepted.

The logic makes an attempt to restrict forwarding by masking 0x4007u,
catching many known control protocols.

See commit for details,

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=515853ccecc6987dfb8ed809dd8bf8900286f29e

.John